Skip to main content
PUT
/
holdings
/
{holding_guid}
Update holding
curl --request PUT \
  --url https://int-data.moneydesktop.com/holdings/{holding_guid} \
  --header 'Content-Type: application/vnd.mx.nexus.v1+json' \
  --header 'MD-SESSION-TOKEN: <api-key>' \
  --data '
{
  "holding": {
    "cost_basis": 123,
    "currency_code": "USD",
    "metadata": "Additional Information",
    "skip_webhook": false
  }
}
'
{
  "holding": {
    "account_guid": "ACT-a8ba7faa-6ce8-4e05-a8b4-bd02ae2b8b9d",
    "allocations_cash": 88.0948,
    "allocations_convertible": 48.6542,
    "allocations_foreign_bond": 0.0139,
    "allocations_foreign_stock": 87.8851,
    "allocations_other": 0.0542,
    "allocations_preferred": 43.5169,
    "allocations_unknown": 0.023,
    "allocations_us_bond": 0.0563,
    "allocations_us_stock": 45.0999,
    "bond_coupon_rate": 123,
    "bond_coupon_rate_set_by": 1,
    "bond_coupon_rate_set_by_name": "FEED",
    "bond_maturity_date": "2015-04-13T00:00:00.000Z",
    "bond_maturity_date_set_by": 1,
    "bond_maturity_date_set_by_name": "FEED",
    "cost_basis": 123,
    "cost_basis_set_by": 1,
    "cost_basis_set_by_name": "FEED",
    "cost_basis_updated_at": "2015-04-13T12:01:23.000Z",
    "created_at": "<string>",
    "currency_code": "USD",
    "currency_code_set_by": 1,
    "currency_code_set_by_name": "FEED",
    "daily_change": 123,
    "daily_change_set_by": 1,
    "daily_change_set_by_name": "FEED",
    "deleted_at": "2015-04-13T12:01:23.000Z",
    "description": "a description",
    "description_set_by": 1,
    "description_set_by_name": "<string>",
    "equity_classification": 5,
    "equity_classification_set_by": 2,
    "equity_classification_set_by_name": "<string>",
    "external_guid": "holding-be73487f-2cd2-4a99-b78c-2f8fb866cbed",
    "fixed_income_classification": 123,
    "fixed_income_classification_set_by": 123,
    "fixed_income_classification_set_by_name": "<string>",
    "feed_bond_coupon_rate": 123,
    "feed_bond_maturity_date": "<string>",
    "feed_cost_basis": 123,
    "feed_currency_code": "<string>",
    "feed_cusip": "<string>",
    "feed_daily_change": 123,
    "feed_description": "<string>",
    "feed_equity_classification": 123,
    "feed_fixed_income_classification": 123,
    "feed_isin": "<string>",
    "feed_market_value": 123,
    "feed_purchase_price": 123,
    "feed_sector": 123,
    "feed_sedol": "<string>",
    "feed_shares": 123,
    "feed_symbol": "<string>",
    "guid": "holding-be73487f-2cd2-4a99-b78c-2f8fb866cbed",
    "holding_type": 1,
    "holding_type_name": "EQUITY",
    "holding_type_set_by": 1,
    "holding_type_set_by_name": "FEED",
    "is_deleted": true,
    "isin": "<string>",
    "isin_set_by": 1,
    "isin_set_by_name": "FEED",
    "large_core_weight": 0.053,
    "large_growth_weight": 63.7687,
    "large_value_weight": 0.0103,
    "market_value": 618,
    "market_value_set_by": 1,
    "market_value_set_by_name": "FEED",
    "member_is_managed_by_user": false,
    "metadata": "Additional Information",
    "mid_core_weight": 61.9756,
    "mid_growth_weight": 0.4567,
    "mid_value_weight": 0.0563,
    "purchase_price": 35,
    "purchase_price_set_by": 1,
    "purchase_price_set_by_name": "FEED",
    "sector": 205,
    "sector_set_by": 1,
    "sector_set_by_name": "FEED",
    "sedol": null,
    "sedol_set_by": 1,
    "sedol_set_by_name": "FEED",
    "shares": 125,
    "shares_set_by": 1,
    "shares_set_by_name": "FEED",
    "small_core_weight": 0.5,
    "small_growth_weight": 0.3,
    "small_value_weight": 0.3,
    "symbol": "HDP",
    "symbol_set_by": 1,
    "symbol_set_by_name": "FEED",
    "updated_at": "2015-04-13T12:01:23.000Z",
    "unknown_weight": 0.0521,
    "user_guid": "USR-11141024-90b3-1bce-cac9-c06ced52ab4c"
  }
}
Update holding

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

holding_guid
string
required

The unique identifier for a holding. Defined by MX.

Body

application/vnd.mx.nexus.v1+json
holding
object

Response

200 - application/vnd.mx.nexus.v1+json

OK

holding
object